//
// C++ Implementation: kpgtableitemsfolder
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kpgtableitemsfolder.h"

#include <kdebug.h>

KPGTableItemsFolder::KPGTableItemsFolder(KPGTable *parent, const QString name)
  : KPGTreeItem(parent, name)
{
  setPixmap(0, *m_pIconFolderBlue);
}

KPGTableItemsFolder::KPGTableItemsFolder(KPGTable *parent, KPGTableItemsFolder *after, const QString name)
  : KPGTreeItem(parent, after, name)
{
  setPixmap(0, *m_pIconFolderBlue);
}

KPGTableItemsFolder::~KPGTableItemsFolder()
{
}

bool KPGTableItemsFolder::refresh()
{
	KPGTreeItem * pItemParent = static_cast <KPGTreeItem *> (parent());
	if(!pItemParent)
		{ 
		  kdError() << "Failed to find DB connection " << endl;
			return 0;
		}
	
	KPGConnection *pDbConnection = connection();
	work pqxxXaction(*pDbConnection, "refresh");
		
	return refresh(pqxxXaction, (static_cast <KPGTable *> (pItemParent))->oid());
}

