//
// C++ Interface: kpgaggregatesfolderproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGAGGREGATESFOLDERPROPPAGE_H
#define KPGAGGREGATESFOLDERPROPPAGE_H

#include "kpgaggregatesfolderproppagebase.h"

#include "pqxx/all.h"

/**
Aggregate folder properties

@author Lumir Vanek
*/

class KPGAggregatesFolderPropPage : public KPGAggregatesFolderPropPageBase
{
Q_OBJECT
public:
    KPGAggregatesFolderPropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGAggregatesFolderPropPage();

protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		
signals:
		void sigSearchObject(const pqxx::oid);
};

#endif
