//
// C++ Interface: kpgdomainsfolderproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGDOMAINSFOLDERPROPPAGE_H
#define KPGDOMAINSFOLDERPROPPAGE_H

#include "kpgdomainsfolderproppagebase.h"

#include "pqxx/all.h"

/**
Domains folder properties

@author Lumir Vanek
*/

class KPGDomainsFolderPropPage : public KPGDomainsFolderPropPageBase
{
Q_OBJECT
public:
    KPGDomainsFolderPropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGDomainsFolderPropPage();

protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		
signals:
		void sigSearchObject(const pqxx::oid);
};

#endif
