//
// C++ Interface: kpgrulesfolderproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGRULESFOLDERPROPPAGE_H
#define KPGRULESFOLDERPROPPAGE_H

#include "kpgrulesfolderproppagebase.h"

#include "pqxx/all.h"

/**
Table rules folder property page

@author Lumir Vanek
*/

class KPGRulesFolderPropPage : public KPGRulesFolderPropPageBase
{
Q_OBJECT
public:
    KPGRulesFolderPropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGRulesFolderPropPage();


protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		
signals:
		void sigSearchObject(const pqxx::oid);
};

#endif
