//
// C++ Implementation: kpgtableconstraintsfolderproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kpgtableconstraintsfolderproppage.h"

#include <qtable.h>  

#include "../kpglinklabel.h"

KPGTableConstraintsFolderPropPage::KPGTableConstraintsFolderPropPage(QWidget *parent, const char *name)
 : KPGTableConstraintsFolderPropPageBase(parent, name)
{
}


KPGTableConstraintsFolderPropPage::~KPGTableConstraintsFolderPropPage()
{
}

void KPGTableConstraintsFolderPropPage::slotTablePropDblClicked(int iRow, int iCol, int, const QPoint &)
{
    QWidget *w = m_pTableConstraints->cellWidget(iRow, iCol);
		if(w == 0)
			return;
					
		KPGLinkLabel *pLabel = static_cast <KPGLinkLabel *> (w);
		pqxx::oid _oid = pLabel->oid();
			
		if(_oid != 0)
			emit sigSearchObject(_oid);
}


#include "kpgtableconstraintsfolderproppage.moc"
