//
// C++ Implementation: kpgtableindexesfolderproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kpgtableindexesfolderproppage.h"

#include <qtable.h>  

#include "../kpglinklabel.h"

KPGTableIndexesFolderPropPage::KPGTableIndexesFolderPropPage(QWidget *parent, const char *name)
 : KPGTableIndexesFolderPropPageBase(parent, name)
{
}


KPGTableIndexesFolderPropPage::~KPGTableIndexesFolderPropPage()
{
}

void KPGTableIndexesFolderPropPage::slotTablePropDblClicked(int iRow, int iCol, int, const QPoint &)
{
    QWidget *w = m_pTableIndexes->cellWidget(iRow, iCol);
		if(w == 0)
			return;
					
		KPGLinkLabel *pLabel = static_cast <KPGLinkLabel *> (w);
		pqxx::oid _oid = pLabel->oid();
			
		if(_oid != 0)
			emit sigSearchObject(_oid);
}


#include "kpgtableindexesfolderproppage.moc"
