/***************************************************************************
                          kpgviewsfolderproppage  -  description
                             -------------------
    begin                : Ne no 1 2004
    copyright            : (C) 2004 by Lumir Vanek
    email                : lvanek@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "kpgviewsfolderproppage.h"

#include <qtable.h>  

#include <kdebug.h>

#include "../kpglinklabel.h"

KPGViewsFolderPropPage::KPGViewsFolderPropPage(QWidget *parent, const char *name)
 : KPGViewsFolderPropPageBase(parent, name)
{
}


KPGViewsFolderPropPage::~KPGViewsFolderPropPage()
{
}


void KPGViewsFolderPropPage::slotTablePropDblClicked(int iRow, int iCol, int /*iButton*/, const QPoint & /*ptMousePos*/)
{
    QWidget *w = m_pTableViews->cellWidget(iRow, iCol);
		if(w == 0)
			return;
					
		KPGLinkLabel *pLabel = static_cast <KPGLinkLabel *> (w);
		pqxx::oid _oid = pLabel->oid();
			
		if(_oid != 0)
			emit sigSearchObject(_oid);
}


#include "kpgviewsfolderproppage.moc"
