/***************************************************************************
                          kpgviewsfolderproppage  -  description
                             -------------------
    begin                : Ne no 1 2004
    copyright            : (C) 2004 by Lumir Vanek
    email                : lvanek@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef KPGVIEWSFOLDERPROPPAGE_H
#define KPGVIEWSFOLDERPROPPAGE_H

#include "kpgviewsfolderproppagebase.h"

#include "pqxx/all.h"

/**
Views folder property page

@author Lumir Vanek
*/

class KPGViewsFolderPropPage : public KPGViewsFolderPropPageBase
{
Q_OBJECT
public:
    KPGViewsFolderPropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGViewsFolderPropPage();

protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		
signals:
		void sigSearchObject(const pqxx::oid);
};

#endif
