//
// C++ Interface: %{MODULE}
//
// Description: 
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGCREATEFUNCTIONWIDGET3_H
#define KPGCREATEFUNCTIONWIDGET3_H

#include "kpgcreatefunctionwidget3base.h"

class KPGSyntaxHighlighter;

/**
Widget for create function Wizard

@author Lumir Vanek
*/

class KPGCreateFunctionWidget3 : public KPGCreateFunctionWidget3Base
{
Q_OBJECT
public:
    KPGCreateFunctionWidget3(QWidget *parent = 0, const char *name = 0);
    ~KPGCreateFunctionWidget3();

    void switchToPage(int);
		const QString getSQL() const;
    
protected:
		/** Syntax highlighter for m_pTextEditFunctionDefinition */
  	KPGSyntaxHighlighter *m_pSyntaxHighlighter;
    
protected slots:

    virtual void slotLibraryPathChanged(const QString&);
		virtual void slotDefinitionChanged();
    
signals:
    void sigEnableNextButton(bool);
};

#endif
