//
// C++ Interface: kpgcreategroupwidget1
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGCREATEGROUPWIDGET1_H
#define KPGCREATEGROUPWIDGET1_H

#include "kpgcreategroupwidget1base.h"

class KPGConnection;

/**
Widget for create group Wizard

@author Lumir Vanek
*/

class KPGCreateGroupWidget1 : public KPGCreateGroupWidget1Base
{
Q_OBJECT
public:
    KPGCreateGroupWidget1(QWidget *parent = 0, const char *name = 0);
    ~KPGCreateGroupWidget1();
				
		void setConnection(KPGConnection *);
		const QString getSQL() const;
		
protected slots:

		virtual void slotLineEditGroupNameChanged(const QString &);
		virtual void slotAvailableUsersSelectChanged(QListBoxItem*);
		virtual void slotUsersInGroupSelectChanged(QListBoxItem*);
		virtual void slotUserAdd();
		virtual void slotUserDelete();
		
protected:
		KPGConnection *m_pDbConnection;
		
signals:
		void sigEnableNextButton(bool);	
};

#endif
