//
// C++ Implementation: kpgcreatetablewidget1
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kpgcreatetablewidget1.h"

#include <kcombobox.h>
#include <klineedit.h>

KPGCreateTableWidget1::KPGCreateTableWidget1(QWidget *parent, const char *name)
 : KPGCreateTableWidget1Base(parent, name)
{
	m_pLineEditTableName->setFocus();
}


KPGCreateTableWidget1::~KPGCreateTableWidget1()
{
}

void KPGCreateTableWidget1::slotTableNameChanged(const QString& strText)
{
	emit sigEnableNextButton(! strText.isEmpty());
}

// Return part of SQL stetement for CREATE TABLE
const QString KPGCreateTableWidget1::getSQL() const
{
	QString strSQL("CREATE TABLE ");
	
	strSQL.append(m_pComboBoxSchema->currentText());
	strSQL.append(".");
	strSQL.append(m_pLineEditTableName->text());
	
	return strSQL;
}

#include "kpgcreatetablewidget1.moc"
