//
// C++ Interface: %{MODULE}
//
// Description: 
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGMODIFYTABLESPACEWIDGET1_H
#define KPGMODIFYTABLESPACEWIDGET1_H

#include "kpgcreatetablespacewidget1.h"

class KPGTablespace;

/**
Widget for modify tablespace Wizard

@author Lumir Vanek
*/

class KPGModifyTablespaceWidget1 : public KPGCreateTablespaceWidget1
{
Q_OBJECT
public:
    KPGModifyTablespaceWidget1(QWidget *parent, const char *name, KPGTablespace *);
    ~KPGModifyTablespaceWidget1();

const QString getSQL() const;
    
protected slots:

    virtual void slotTablespaceNameChanged(const QString &);
    virtual void slotOwnerActivated(const QString &);
    
protected:
    KPGTablespace *m_pTablespace;
};

#endif
