//
// C++ Interface: kpgcastsfolderproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGCASTSFOLDERPROPPAGE_H
#define KPGCASTSFOLDERPROPPAGE_H

#include "kpgcastsfolderproppagebase.h"

#include "pqxx/all.h"

/**
Casts folder properties

@author Lumir Vanek
*/

class KPGCastsFolderPropPage : public KPGCastsFolderPropPageBase
{
Q_OBJECT
public:
    KPGCastsFolderPropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGCastsFolderPropPage();

protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		
signals:
		void sigSearchObject(const pqxx::oid);
};

#endif
