//
// C++ Interface: kpgconversionsfolderproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGCONVERSIONSFOLDERPROPPAGE_H
#define KPGCONVERSIONSFOLDERPROPPAGE_H

#include "kpgconversionsfolderproppagebase.h"

#include "pqxx/all.h"

/**
Conversions folder properties

@author Lumir Vanek
*/

class KPGConversionsFolderPropPage : public KPGConversionsFolderPropPageBase
{
Q_OBJECT
public:
    KPGConversionsFolderPropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGConversionsFolderPropPage();

protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		
signals:
		void sigSearchObject(const pqxx::oid);
};

#endif
