//
// C++ Implementation: kpgdomainsfolderproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kpgdomainsfolderproppage.h"

#include <qtable.h>  

#include <kdebug.h>

#include "../kpglinklabel.h"

KPGDomainsFolderPropPage::KPGDomainsFolderPropPage(QWidget *parent, const char *name)
 : KPGDomainsFolderPropPageBase(parent, name)
{
}


KPGDomainsFolderPropPage::~KPGDomainsFolderPropPage()
{
}

void KPGDomainsFolderPropPage::slotTablePropDblClicked(int iRow, int iCol, int /*iButton*/, const QPoint & /*ptMousePos*/)
{
    QWidget *w = m_pTableDomains->cellWidget(iRow, iCol);
		if(w == 0)
			return;
					
		KPGLinkLabel *pLabel = static_cast <KPGLinkLabel *> (w);
		pqxx::oid _oid = pLabel->oid();
			
		if(_oid != 0)
			emit sigSearchObject(_oid);
}

#include "kpgdomainsfolderproppage.moc"
