//
// C++ Implementation: kpgrulesfolderproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kpgrulesfolderproppage.h"

#include <qtable.h>  

#include "../kpglinklabel.h"

KPGRulesFolderPropPage::KPGRulesFolderPropPage(QWidget *parent, const char *name)
 : KPGRulesFolderPropPageBase(parent, name)
{
}


KPGRulesFolderPropPage::~KPGRulesFolderPropPage()
{
}


void KPGRulesFolderPropPage::slotTablePropDblClicked(int iRow, int iCol, int, const QPoint &)
{
    QWidget *w = m_pTableRules->cellWidget(iRow, iCol);
		if(w == 0)
			return;
					
		KPGLinkLabel *pLabel = static_cast <KPGLinkLabel *> (w);
		pqxx::oid _oid = pLabel->oid();
			
		if(_oid != 0)
			emit sigSearchObject(_oid);
}

#include "kpgrulesfolderproppage.moc"
