//
// C++ Interface: kpgtableconstraintsfolderproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGTABLECONSTRAINTSFOLDERPROPPAGE_H
#define KPGTABLECONSTRAINTSFOLDERPROPPAGE_H

#include "kpgtableconstraintsfolderproppagebase.h"

#include "pqxx/all.h"

/**
Table Constraints Folder properties

@author Lumir Vanek
*/

class KPGTableConstraintsFolderPropPage : public KPGTableConstraintsFolderPropPageBase
{
Q_OBJECT
public:
    KPGTableConstraintsFolderPropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGTableConstraintsFolderPropPage();

protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		
signals:
		void sigSearchObject(const pqxx::oid);
};

#endif
