//
// C++ Interface: kpgtableindexesfolderproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGTABLEINDEXESFOLDERPROPPAGE_H
#define KPGTABLEINDEXESFOLDERPROPPAGE_H

#include "kpgtableindexesfolderproppagebase.h"

#include "pqxx/all.h"

/**
Table Indexes Folder properties

@author Lumir Vanek
*/

class KPGTableIndexesFolderPropPage : public KPGTableIndexesFolderPropPageBase
{
Q_OBJECT
public:
    KPGTableIndexesFolderPropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGTableIndexesFolderPropPage();

protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		
signals:
		void sigSearchObject(const pqxx::oid);
};

#endif
