//
// C++ Implementation: kpgtablespacesfolderproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kpgtablespacesfolderproppage.h"

#include <qtable.h>  

#include "../kpglinklabel.h"


KPGTablespacesFolderPropPage::KPGTablespacesFolderPropPage(QWidget *parent, const char *name)
 : KPGTablespacesFolderPropPageBase(parent, name)
{
}


KPGTablespacesFolderPropPage::~KPGTablespacesFolderPropPage()
{
}

void KPGTablespacesFolderPropPage::slotTablePropDblClicked(int iRow, int iCol, int /*iButton*/, const QPoint & /*ptMousePos*/)
{
    QWidget *w = m_pTableTablespaces->cellWidget(iRow, iCol);
    if(w == 0)
      return;
          
    KPGLinkLabel *pLabel = static_cast <KPGLinkLabel *> (w);
    pqxx::oid _oid = pLabel->oid();
      
    if(_oid != 0)
      emit sigSearchObject(_oid);
}

#include "kpgtablespacesfolderproppage.moc"
