//
// C++ Interface: kpgtablespacesfolderproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGTABLESPACESFOLDERPROPPAGE_H
#define KPGTABLESPACESFOLDERPROPPAGE_H

#include "kpgtablespacesfolderproppagebase.h"

#include "pqxx/all.h"

/**
Tablespaces folder property page

@author Lumir Vanek
*/

class KPGTablespacesFolderPropPage : public KPGTablespacesFolderPropPageBase
{
Q_OBJECT
public:
    KPGTablespacesFolderPropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGTablespacesFolderPropPage();

protected slots:
    
    virtual void slotTablePropDblClicked(int, int, int, const QPoint &);  
        
signals:
		void sigSearchObject(const pqxx::oid);
};

#endif
