//
// C++ Implementation: kpgtriggersfolderproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kpgtriggersfolderproppage.h"

#include <qtable.h>  

#include "../kpglinklabel.h"

KPGTriggersFolderPropPage::KPGTriggersFolderPropPage(QWidget *parent, const char *name)
 : KPGTriggersFolderPropPageBase(parent, name)
{
}


KPGTriggersFolderPropPage::~KPGTriggersFolderPropPage()
{
}

void KPGTriggersFolderPropPage::slotTablePropDblClicked(int iRow, int iCol, int, const QPoint &)
{
    QWidget *w = m_pTableTriggers->cellWidget(iRow, iCol);
		if(w == 0)
			return;
					
		KPGLinkLabel *pLabel = static_cast <KPGLinkLabel *> (w);
		pqxx::oid _oid = pLabel->oid();
			
		if(_oid != 0)
			emit sigSearchObject(_oid);
}


#include "kpgtriggersfolderproppage.moc"
