//
// C++ Interface: kpgtriggersfolderproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGTRIGGERSFOLDERPROPPAGE_H
#define KPGTRIGGERSFOLDERPROPPAGE_H

#include "kpgtriggersfolderproppagebase.h"

#include "pqxx/all.h"

/**
Table triggers folder property page

@author Lumir Vanek
*/

class KPGTriggersFolderPropPage : public KPGTriggersFolderPropPageBase
{
Q_OBJECT
public:
    KPGTriggersFolderPropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGTriggersFolderPropPage();

protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		
signals:
		void sigSearchObject(const pqxx::oid);
};

#endif
