//
// C++ Interface: kpgviewproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGVIEWPROPPAGE_H
#define KPGVIEWPROPPAGE_H

#include "kpgviewproppagebase.h"

#include "pqxx/all.h"

/**
View properties

@author Lumir Vanek
*/

class KPGSyntaxHighlighter;

class KPGViewPropPage : public KPGViewPropPageBase
{
Q_OBJECT
public:
    KPGViewPropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGViewPropPage();

public slots:

		/**
		 * Changes syntax highlighting colors.
		 */
		void slotSqlEditorSettingsChanged();

protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		
signals:
		void sigSearchObject(const pqxx::oid);
		
protected:
	/** Syntax highlighter for rule definition */
  KPGSyntaxHighlighter *m_pSyntaxHighlighter;
};

#endif
