//
// C++ Implementation: %{MODULE}
//
// Description:
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kpgcreatefunctionwidget2.h"

// include files for Qt
#include <qlabel.h>
#include <qradiobutton.h>
#include <qpushbutton.h>

// include files for KDE
#include <kdebug.h>
#include <kmessagebox.h>
#include <klocale.h>


KPGCreateFunctionWidget2::KPGCreateFunctionWidget2(QWidget *parent, const char *name)
 : KPGCreateFunctionWidget2Base(parent, name)
{
}


KPGCreateFunctionWidget2::~KPGCreateFunctionWidget2()
{
}

// Return part of SQL statement for CREATE FUNCTION
const QString KPGCreateFunctionWidget2::getSQL() const
{
  QString strSQL("");
	
	// IMMUTABLE | STABLE | VOLATILE
	if(m_pRadioButtonImmutable->isChecked())
		strSQL.append("IMMUTABLE\n");
	
	if(m_pRadioButtonStable->isChecked())
		strSQL.append("STABLE\n");
		
	if(m_pRadioButtonVolatile->isChecked())
		strSQL.append("VOLATILE\n");
		
	// CALLED ON NULL INPUT | STRICT
	if(m_pRadioButtonStrict->isChecked())
		strSQL.append("STRICT\n");

	// SECURITY INVOKER | SECURITY DEFINER
	if(m_pRadioButtonSecurityDefiner->isChecked())
		strSQL.append("SECURITY DEFINER\n");
  
	return strSQL;
}

#include "kpgcreatefunctionwidget2.moc"
