//
// C++ Interface: kpgcreatefunctionwidget4
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGCREATEFUNCTIONWIDGET4_H
#define KPGCREATEFUNCTIONWIDGET4_H

#include "kpgcreatefunctionwidget4base.h"

/**
Widget for create function Wizard

@author Lumir Vanek
*/

class KPGCreateFunctionWidget4 : public KPGCreateFunctionWidget4Base
{
Q_OBJECT
public:
    KPGCreateFunctionWidget4(QWidget *parent = 0, const char *name = 0);
    ~KPGCreateFunctionWidget4();

		void setFunctionName(const QString &strFunctionName) { m_strFunctionName = strFunctionName; }
		void setNamespace(const QString &strNamespace) { m_strNamespace = strNamespace; }
		const QString getSQL() const;

protected:
		void enableAddGrantButton();
		
protected:
		QString m_strFunctionName; // name of the created function
		QString m_strNamespace; // name of the namespace
		
protected slots:

		virtual void slotCheckBoxPublicToggled(bool);
		virtual void slotListBoxUsersSelectionChanged();
		
		virtual void slotGrantsSelectionChanged(QListViewItem *);
    virtual void slotGrantsCurrentChanged(QListViewItem *);
		
		virtual void slotGrantAdd();
    virtual void slotGrantDelete();
						
signals:
		void sigEnableNextButton(bool);		
};

#endif
