//
// C++ Interface: kpgcreatetablewidget1
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGCREATETABLEWIDGET1_H
#define KPGCREATETABLEWIDGET1_H

#include "kpgcreatetablewidget1base.h"

/**
Widget for Create Table Wizard

@author Lumir Vanek
*/

class KPGCreateTableWidget1 : public KPGCreateTableWidget1Base
{
Q_OBJECT
public:
    KPGCreateTableWidget1(QWidget *parent = 0, const char *name = 0);
    ~KPGCreateTableWidget1();

		const QString getSQL() const;
		
protected slots:

    virtual void slotTableNameChanged(const QString &);
		
signals:
		void sigEnableNextButton(bool);
};

#endif
