//
// C++ Interface: kpgcreateuserwidget2
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGCREATEUSERWIDGET2_H
#define KPGCREATEUSERWIDGET2_H

#include "kpgcreateuserwidget2base.h"

class KPGConnection;

/**
Widget for create user Wizard

@author Lumir Vanek
*/

class KPGCreateUserWidget2 : public KPGCreateUserWidget2Base
{
Q_OBJECT
public:
    KPGCreateUserWidget2(QWidget *parent = 0, const char *name = 0);
    ~KPGCreateUserWidget2();

		void setConnection(KPGConnection *);
		void refreshAvailGroupsList();
		const QString getSQL() const;

protected slots:
		
		virtual void slotAvailableGroupsSelectChanged(QListBoxItem*);
		virtual void slotUsersGroupsSelectChanged(QListBoxItem*);
		virtual void slotGroupAdd();
		virtual void slotGroupDelete();
		
protected:
		KPGConnection *m_pDbConnection;
								
signals:
		void sigEnableNextButton(bool);	
};

#endif
